Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface MetaABMPackage.Literals

Enclosing interface:
  MetaABMPackage

    public static interface MetaABMPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `IACT` The meta object literal for the '`IAct`' class.
`static org.eclipse.emf.ecore.EClass` | `IARTIFACT` The meta object literal for the '`IArtifact`' class.
`static org.eclipse.emf.ecore.EClass` | `IID` The meta object literal for the '`IID`' class.
`static org.eclipse.emf.ecore.EAttribute` | `IID__ID` The meta object literal for the 'ID' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `IID__LABEL` The meta object literal for the 'Label' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `ITYPED` The meta object literal for the '`ITyped`' class.
`static org.eclipse.emf.ecore.EAttribute` | `ITYPED__STYPE` The meta object literal for the 'SType' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `ITYPED_ARRAY` The meta object literal for the '`ITyped Array`' class.
`static org.eclipse.emf.ecore.EAttribute` | `ITYPED_ARRAY__SIZE` The meta object literal for the 'Size' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `IVALUE` The meta object literal for the '`IValue`' class.
`static org.eclipse.emf.ecore.EReference` | `IVALUE__ACCESSORS` The meta object literal for the 'Accessors' reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `IVALUE__AVAILABLE_TYPES` The meta object literal for the 'Available Types' attribute list feature.
`static org.eclipse.emf.ecore.EClass` | `SACTABLE` The meta object literal for the ' `SActable`' class.
`static org.eclipse.emf.ecore.EReference` | `SACTABLE__ROOT_ACTIVITY` The meta object literal for the 'Root Activity' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `SAGENT` The meta object literal for the '`SAgent`' class.
`static org.eclipse.emf.ecore.EReference` | `SAGENT__OWNER` The meta object literal for the 'Owner' container reference feature.
`static org.eclipse.emf.ecore.EReference` | `SAGENT__STYLES` The meta object literal for the 'Styles' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `SATTRIBUTE` The meta object literal for the '`SAttribute`' class.
`static org.eclipse.emf.ecore.EAttribute` | `SATTRIBUTE__DEFAULT_VALUE` The meta object literal for the 'Default Value' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SATTRIBUTE__GATHER_DATA` The meta object literal for the 'Gather Data' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SATTRIBUTE__IMMUTABLE` The meta object literal for the 'Immutable' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `SATTRIBUTE__OWNER` The meta object literal for the 'Owner' container reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `SATTRIBUTE__UNITS` The meta object literal for the 'Units' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `SATTRIBUTE_ARRAY` The meta object literal for the '`SAttribute Array`' class.
`static org.eclipse.emf.ecore.EEnum` | `SATTRIBUTE_TYPE` The meta object literal for the '`SAttribute Type`' enum.
`static org.eclipse.emf.ecore.EClass` | `SATTRIBUTED` The meta object literal for the '`SAttributed`' class.
`static org.eclipse.emf.ecore.EReference` | `SATTRIBUTED__ATTRIBUTES` The meta object literal for the 'Attributes' containment reference list feature.
`static org.eclipse.emf.ecore.EEnum` | `SBORDER_RULE` The meta object literal for the '`SBorder Rule`' enum.
`static org.eclipse.emf.ecore.EClass` | `SCONTEXT` The meta object literal for the ' `SContext`' class.
`static org.eclipse.emf.ecore.EReference` | `SCONTEXT__AGENTS` The meta object literal for the 'Agents' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `SCONTEXT__ALL_AGENTS` The meta object literal for the 'All Agents' reference list feature.
`static org.eclipse.emf.ecore.EReference` | `SCONTEXT__ALL_CONTEXTS` The meta object literal for the 'All Contexts' reference list feature.
`static org.eclipse.emf.ecore.EReference` | `SCONTEXT__LIBRARY` The meta object literal for the 'Library' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `SCONTEXT__PROJECTIONS` The meta object literal for the 'Projections' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `SCONTEXT__VALUE_LAYERS` The meta object literal for the 'Value Layers' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `SCONTINUOUS_SPACE` The meta object literal for the '`SContinuous Space`' class.
`static org.eclipse.emf.ecore.EClass` | `SGEOGRAPHY` The meta object literal for the '`SGeography`' class.
`static org.eclipse.emf.ecore.EClass` | `SGRID` The meta object literal for the '`SGrid`' class.
`static org.eclipse.emf.ecore.EAttribute` | `SGRID__MULTI_OCCUPANT` The meta object literal for the 'Multi Occupant' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SGRID__NEIGHBORHOOD` The meta object literal for the 'Neighborhood' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `SIMPLEMENTATION` The meta object literal for the '`SImplementation`' class.
`static org.eclipse.emf.ecore.EAttribute` | `SIMPLEMENTATION__BASE_PATH` The meta object literal for the 'Base Path' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SIMPLEMENTATION__BIN_DIR` The meta object literal for the 'Bin Dir' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SIMPLEMENTATION__CLASS_FILE_LOC` The meta object literal for the 'Class File Loc' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SIMPLEMENTATION__CLASS_NAME` The meta object literal for the 'Class Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SIMPLEMENTATION__DERIVED_BIN_DIR` The meta object literal for the 'Derived Bin Dir' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SIMPLEMENTATION__DERIVED_PACKAGE` The meta object literal for the 'Derived Package' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SIMPLEMENTATION__DERIVED_PATH` The meta object literal for the 'Derived Path' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SIMPLEMENTATION__DERIVED_SRC_DIR` The meta object literal for the 'Derived Src Dir' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SIMPLEMENTATION__JAVA_FILE_LOC` The meta object literal for the 'Java File Loc' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SIMPLEMENTATION__MODE` The meta object literal for the 'Mode' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SIMPLEMENTATION__PACKAGE` The meta object literal for the 'Package' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SIMPLEMENTATION__QUALIFIED_NAME` The meta object literal for the 'Qualified Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SIMPLEMENTATION__SRC_DIR` The meta object literal for the 'Src Dir' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `SIMPLEMENTATION__TARGET` The meta object literal for the 'Target' container reference feature.
`static org.eclipse.emf.ecore.EEnum` | `SIMPLEMENTATION_MODE` The meta object literal for the '`SImplementation Mode`' enum.
`static org.eclipse.emf.ecore.EClass` | `SIMPLEMENTED` The meta object literal for the '`SImplemented`' class.
`static org.eclipse.emf.ecore.EReference` | `SIMPLEMENTED__IMPLEMENTATION` The meta object literal for the 'Implementation' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `SIMPLEMENTED__PARENT` The meta object literal for the 'Parent' reference feature.
`static org.eclipse.emf.ecore.EClass` | `SN_DIMENSIONAL` The meta object literal for the '`SN Dimensional`' class.
`static org.eclipse.emf.ecore.EAttribute` | `SN_DIMENSIONAL__BORDER_RULE` The meta object literal for the 'Border Rule' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SN_DIMENSIONAL__DIMENSIONALITY` The meta object literal for the 'Dimensionality' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `SNAMED` The meta object literal for the '`SNamed`' class.
`static org.eclipse.emf.ecore.EAttribute` | `SNAMED__DESCRIPTION` The meta object literal for the 'Description' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SNAMED__PLURAL_LABEL` The meta object literal for the 'Plural Label' attribute feature.
`static org.eclipse.emf.ecore.EEnum` | `SNEIGHBORHOOD_TYPE` The meta object literal for the '`SNeighborhood Type`' enum.
`static org.eclipse.emf.ecore.EClass` | `SNETWORK` The meta object literal for the ' `SNetwork`' class.
`static org.eclipse.emf.ecore.EAttribute` | `SNETWORK__DIRECTED` The meta object literal for the 'Directed' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `SPROJECTION` The meta object literal for the '`SProjection`' class.
`static org.eclipse.emf.ecore.EReference` | `SPROJECTION__OWNER` The meta object literal for the 'Owner' container reference feature.
`static org.eclipse.emf.ecore.EEnum` | `SSHAPE_TYPE` The meta object literal for the '`SShape Type`' enum.
`static org.eclipse.emf.ecore.EClass` | `SSTATE` The meta object literal for the '`SState`' class.
`static org.eclipse.emf.ecore.EReference` | `SSTATE__DEFAULT_OPTION` The meta object literal for the 'Default Option' reference feature.
`static org.eclipse.emf.ecore.EReference` | `SSTATE__OPTIONS` The meta object literal for the 'Options' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `SSTATE_VALUE` The meta object literal for the '`SState Value`' class.
`static org.eclipse.emf.ecore.EReference` | `SSTATE_VALUE__SET` The meta object literal for the 'Set' container reference feature.
`static org.eclipse.emf.ecore.EClass` | `SSTYLE` The meta object literal for the '`SStyle`' class.
`static org.eclipse.emf.ecore.EReference` | `SSTYLE__AGENT` The meta object literal for the 'Agent' container reference feature.
`static org.eclipse.emf.ecore.EClass` | `SSTYLE_SHAPE` The meta object literal for the '`SStyle Shape`' class.
`static org.eclipse.emf.ecore.EAttribute` | `SSTYLE_SHAPE__SHAPE` The meta object literal for the 'Shape' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `SSTYLE2_D` The meta object literal for the ' `SStyle2 D`' class.
`static org.eclipse.emf.ecore.EClass` | `SSTYLE3_D` The meta object literal for the ' `SStyle3 D`' class.
`static org.eclipse.emf.ecore.EClass` | `SVALUE_LAYER` The meta object literal for the '`SValue Layer`' class.

Field Detail

### IID

    static final org.eclipse.emf.ecore.EClass IID

  The meta object literal for the '`IID`' class.

  See Also:
    `IIDImpl`, `MetaABMPackageImpl.getIID()`

### IID__LABEL

    static final org.eclipse.emf.ecore.EAttribute IID__LABEL

  The meta object literal for the 'Label' attribute feature.

### IID__ID

    static final org.eclipse.emf.ecore.EAttribute IID__ID

  The meta object literal for the 'ID' attribute feature.

### ITYPED

    static final org.eclipse.emf.ecore.EClass ITYPED

  The meta object literal for the '`ITyped`' class.

  See Also:
    `ITyped`, `MetaABMPackageImpl.getITyped()`

### ITYPED__STYPE

    static final org.eclipse.emf.ecore.EAttribute ITYPED__STYPE

  The meta object literal for the 'SType' attribute feature.

### ITYPED_ARRAY

    static final org.eclipse.emf.ecore.EClass ITYPED_ARRAY

  The meta object literal for the '`ITyped Array`' class.

  See Also:
    `ITypedArray`, `MetaABMPackageImpl.getITypedArray()`

### ITYPED_ARRAY__SIZE

    static final org.eclipse.emf.ecore.EAttribute ITYPED_ARRAY__SIZE

  The meta object literal for the 'Size' attribute feature.

### IVALUE

    static final org.eclipse.emf.ecore.EClass IVALUE

  The meta object literal for the '`IValue`' class.

  See Also:
    `IValue`, `MetaABMPackageImpl.getIValue()`

### IVALUE__ACCESSORS

    static final org.eclipse.emf.ecore.EReference IVALUE__ACCESSORS

  The meta object literal for the 'Accessors' reference list feature.

### IVALUE__AVAILABLE_TYPES

    static final org.eclipse.emf.ecore.EAttribute IVALUE__AVAILABLE_TYPES

  The meta object literal for the 'Available Types' attribute list feature.

### IARTIFACT

    static final org.eclipse.emf.ecore.EClass IARTIFACT

  The meta object literal for the '`IArtifact`' class.

  See Also:
    `IArtifact`, `MetaABMPackageImpl.getIArtifact()`

### IACT

    static final org.eclipse.emf.ecore.EClass IACT

  The meta object literal for the '`IAct`' class.

  See Also:
    `IAct`, `MetaABMPackageImpl.getIAct()`

### SNAMED

    static final org.eclipse.emf.ecore.EClass SNAMED

  The meta object literal for the '`SNamed`' class.

  See Also:
    `SNamedImpl`, `MetaABMPackageImpl.getSNamed()`

### SNAMED__PLURAL_LABEL

    static final org.eclipse.emf.ecore.EAttribute SNAMED__PLURAL_LABEL

  The meta object literal for the 'Plural Label' attribute feature.

### SNAMED__DESCRIPTION

    static final org.eclipse.emf.ecore.EAttribute SNAMED__DESCRIPTION

  The meta object literal for the 'Description' attribute feature.

### SATTRIBUTED

    static final org.eclipse.emf.ecore.EClass SATTRIBUTED

  The meta object literal for the '`SAttributed`' class.

  See Also:
    `SAttributedImpl`, `MetaABMPackageImpl.getSAttributed()`

### SATTRIBUTED__ATTRIBUTES

    static final org.eclipse.emf.ecore.EReference SATTRIBUTED__ATTRIBUTES

  The meta object literal for the 'Attributes' containment reference list feature.

### SATTRIBUTE

    static final org.eclipse.emf.ecore.EClass SATTRIBUTE

  The meta object literal for the '`SAttribute`' class.

  See Also:
    `SAttributeImpl`, `MetaABMPackageImpl.getSAttribute()`

### SATTRIBUTE__OWNER

    static final org.eclipse.emf.ecore.EReference SATTRIBUTE__OWNER

  The meta object literal for the 'Owner' container reference feature.

### SATTRIBUTE__GATHER_DATA

    static final org.eclipse.emf.ecore.EAttribute SATTRIBUTE__GATHER_DATA

  The meta object literal for the 'Gather Data' attribute feature.

### SATTRIBUTE__DEFAULT_VALUE

    static final org.eclipse.emf.ecore.EAttribute SATTRIBUTE__DEFAULT_VALUE

  The meta object literal for the 'Default Value' attribute feature.

### SATTRIBUTE__UNITS

    static final org.eclipse.emf.ecore.EAttribute SATTRIBUTE__UNITS

  The meta object literal for the 'Units' attribute feature.

### SATTRIBUTE__IMMUTABLE

    static final org.eclipse.emf.ecore.EAttribute SATTRIBUTE__IMMUTABLE

  The meta object literal for the 'Immutable' attribute feature.

### SATTRIBUTE_ARRAY

    static final org.eclipse.emf.ecore.EClass SATTRIBUTE_ARRAY

  The meta object literal for the '`SAttribute Array`' class.

  See Also:
    `SAttributeArrayImpl`, `MetaABMPackageImpl.getSAttributeArray()`

### SAGENT

    static final org.eclipse.emf.ecore.EClass SAGENT

  The meta object literal for the '`SAgent`' class.

  See Also:
    `SAgentImpl`, `MetaABMPackageImpl.getSAgent()`

### SAGENT__STYLES

    static final org.eclipse.emf.ecore.EReference SAGENT__STYLES

  The meta object literal for the 'Styles' containment reference list feature.

### SAGENT__OWNER

    static final org.eclipse.emf.ecore.EReference SAGENT__OWNER

  The meta object literal for the 'Owner' container reference feature.

### SCONTEXT

    static final org.eclipse.emf.ecore.EClass SCONTEXT

  The meta object literal for the ' `SContext`' class.

  See Also:
    `SContextImpl`, `MetaABMPackageImpl.getSContext()`

### SCONTEXT__AGENTS

    static final org.eclipse.emf.ecore.EReference SCONTEXT__AGENTS

  The meta object literal for the 'Agents' containment reference list feature.

### SCONTEXT__PROJECTIONS

    static final org.eclipse.emf.ecore.EReference SCONTEXT__PROJECTIONS

  The meta object literal for the 'Projections' containment reference list feature.

### SCONTEXT__VALUE_LAYERS

    static final org.eclipse.emf.ecore.EReference SCONTEXT__VALUE_LAYERS

  The meta object literal for the 'Value Layers' containment reference list feature.

### SCONTEXT__LIBRARY

    static final org.eclipse.emf.ecore.EReference SCONTEXT__LIBRARY

  The meta object literal for the 'Library' containment reference list feature.

### SCONTEXT__ALL_AGENTS

    static final org.eclipse.emf.ecore.EReference SCONTEXT__ALL_AGENTS

  The meta object literal for the 'All Agents' reference list feature.

### SCONTEXT__ALL_CONTEXTS

    static final org.eclipse.emf.ecore.EReference SCONTEXT__ALL_CONTEXTS

  The meta object literal for the 'All Contexts' reference list feature.

### SPROJECTION

    static final org.eclipse.emf.ecore.EClass SPROJECTION

  The meta object literal for the '`SProjection`' class.

  See Also:
    `SProjectionImpl`, `MetaABMPackageImpl.getSProjection()`

### SPROJECTION__OWNER

    static final org.eclipse.emf.ecore.EReference SPROJECTION__OWNER

  The meta object literal for the 'Owner' container reference feature.

### SN_DIMENSIONAL

    static final org.eclipse.emf.ecore.EClass SN_DIMENSIONAL

  The meta object literal for the '`SN Dimensional`' class.

  See Also:
    `SNDimensionalImpl`, `MetaABMPackageImpl.getSNDimensional()`

### SN_DIMENSIONAL__DIMENSIONALITY

    static final org.eclipse.emf.ecore.EAttribute SN_DIMENSIONAL__DIMENSIONALITY

  The meta object literal for the 'Dimensionality' attribute feature.

### SN_DIMENSIONAL__BORDER_RULE

    static final org.eclipse.emf.ecore.EAttribute SN_DIMENSIONAL__BORDER_RULE

  The meta object literal for the 'Border Rule' attribute feature.

### SCONTINUOUS_SPACE

    static final org.eclipse.emf.ecore.EClass SCONTINUOUS_SPACE

  The meta object literal for the '`SContinuous Space`' class.

  See Also:
    `SContinuousSpaceImpl`, `MetaABMPackageImpl.getSContinuousSpace()`

### SGRID

    static final org.eclipse.emf.ecore.EClass SGRID

  The meta object literal for the '`SGrid`' class.

  See Also:
    `SGridImpl`, `MetaABMPackageImpl.getSGrid()`

### SGRID__MULTI_OCCUPANT

    static final org.eclipse.emf.ecore.EAttribute SGRID__MULTI_OCCUPANT

  The meta object literal for the 'Multi Occupant' attribute feature.

### SGRID__NEIGHBORHOOD

    static final org.eclipse.emf.ecore.EAttribute SGRID__NEIGHBORHOOD

  The meta object literal for the 'Neighborhood' attribute feature.

### SNETWORK

    static final org.eclipse.emf.ecore.EClass SNETWORK

  The meta object literal for the ' `SNetwork`' class.

  See Also:
    `SNetworkImpl`, `MetaABMPackageImpl.getSNetwork()`

### SNETWORK__DIRECTED

    static final org.eclipse.emf.ecore.EAttribute SNETWORK__DIRECTED

  The meta object literal for the 'Directed' attribute feature.

### SGEOGRAPHY

    static final org.eclipse.emf.ecore.EClass SGEOGRAPHY

  The meta object literal for the '`SGeography`' class.

  See Also:
    `SGeographyImpl`, `MetaABMPackageImpl.getSGeography()`

### SVALUE_LAYER

    static final org.eclipse.emf.ecore.EClass SVALUE_LAYER

  The meta object literal for the '`SValue Layer`' class.

  See Also:
    `SValueLayerImpl`, `MetaABMPackageImpl.getSValueLayer()`

### SSTYLE

    static final org.eclipse.emf.ecore.EClass SSTYLE

  The meta object literal for the '`SStyle`' class.

  See Also:
    `SStyleImpl`, `MetaABMPackageImpl.getSStyle()`

### SSTYLE__AGENT

    static final org.eclipse.emf.ecore.EReference SSTYLE__AGENT

  The meta object literal for the 'Agent' container reference feature.

### SSTYLE3_D

    static final org.eclipse.emf.ecore.EClass SSTYLE3_D

  The meta object literal for the ' `SStyle3 D`' class.

  See Also:
    `SStyle3DImpl`, `MetaABMPackageImpl.getSStyle3D()`

### SSTYLE2_D

    static final org.eclipse.emf.ecore.EClass SSTYLE2_D

  The meta object literal for the ' `SStyle2 D`' class.

  See Also:
    `SStyle2DImpl`, `MetaABMPackageImpl.getSStyle2D()`

### SSTYLE_SHAPE

    static final org.eclipse.emf.ecore.EClass SSTYLE_SHAPE

  The meta object literal for the '`SStyle Shape`' class.

  See Also:
    `SStyleShapeImpl`, `MetaABMPackageImpl.getSStyleShape()`

### SSTYLE_SHAPE__SHAPE

    static final org.eclipse.emf.ecore.EAttribute SSTYLE_SHAPE__SHAPE

  The meta object literal for the 'Shape' attribute feature.

### SIMPLEMENTED

    static final org.eclipse.emf.ecore.EClass SIMPLEMENTED

  The meta object literal for the '`SImplemented`' class.

  See Also:
    `SImplementedImpl`, `MetaABMPackageImpl.getSImplemented()`

### SIMPLEMENTED__IMPLEMENTATION

    static final org.eclipse.emf.ecore.EReference SIMPLEMENTED__IMPLEMENTATION

  The meta object literal for the 'Implementation' containment reference feature.

### SIMPLEMENTED__PARENT

    static final org.eclipse.emf.ecore.EReference SIMPLEMENTED__PARENT

  The meta object literal for the 'Parent' reference feature.

### SIMPLEMENTATION

    static final org.eclipse.emf.ecore.EClass SIMPLEMENTATION

  The meta object literal for the '`SImplementation`' class.

  See Also:
    `SImplementationImpl`, `MetaABMPackageImpl.getSImplementation()`

### SIMPLEMENTATION__PACKAGE

    static final org.eclipse.emf.ecore.EAttribute SIMPLEMENTATION__PACKAGE

  The meta object literal for the 'Package' attribute feature.

### SIMPLEMENTATION__CLASS_NAME

    static final org.eclipse.emf.ecore.EAttribute SIMPLEMENTATION__CLASS_NAME

  The meta object literal for the 'Class Name' attribute feature.

### SIMPLEMENTATION__BASE_PATH

    static final org.eclipse.emf.ecore.EAttribute SIMPLEMENTATION__BASE_PATH

  The meta object literal for the 'Base Path' attribute feature.

### SIMPLEMENTATION__MODE

    static final org.eclipse.emf.ecore.EAttribute SIMPLEMENTATION__MODE

  The meta object literal for the 'Mode' attribute feature.

### SIMPLEMENTATION__TARGET

    static final org.eclipse.emf.ecore.EReference SIMPLEMENTATION__TARGET

  The meta object literal for the 'Target' container reference feature.

### SIMPLEMENTATION__QUALIFIED_NAME

    static final org.eclipse.emf.ecore.EAttribute SIMPLEMENTATION__QUALIFIED_NAME

  The meta object literal for the 'Qualified Name' attribute feature.

### SIMPLEMENTATION__DERIVED_PATH

    static final org.eclipse.emf.ecore.EAttribute SIMPLEMENTATION__DERIVED_PATH

  The meta object literal for the 'Derived Path' attribute feature.

### SIMPLEMENTATION__DERIVED_PACKAGE

    static final org.eclipse.emf.ecore.EAttribute SIMPLEMENTATION__DERIVED_PACKAGE

  The meta object literal for the 'Derived Package' attribute feature.

### SIMPLEMENTATION__JAVA_FILE_LOC

    static final org.eclipse.emf.ecore.EAttribute SIMPLEMENTATION__JAVA_FILE_LOC

  The meta object literal for the 'Java File Loc' attribute feature.

### SIMPLEMENTATION__SRC_DIR

    static final org.eclipse.emf.ecore.EAttribute SIMPLEMENTATION__SRC_DIR

  The meta object literal for the 'Src Dir' attribute feature.

### SIMPLEMENTATION__BIN_DIR

    static final org.eclipse.emf.ecore.EAttribute SIMPLEMENTATION__BIN_DIR

  The meta object literal for the 'Bin Dir' attribute feature.

### SIMPLEMENTATION__CLASS_FILE_LOC

    static final org.eclipse.emf.ecore.EAttribute SIMPLEMENTATION__CLASS_FILE_LOC

  The meta object literal for the 'Class File Loc' attribute feature.

### SIMPLEMENTATION__DERIVED_BIN_DIR

    static final org.eclipse.emf.ecore.EAttribute SIMPLEMENTATION__DERIVED_BIN_DIR

  The meta object literal for the 'Derived Bin Dir' attribute feature.

### SIMPLEMENTATION__DERIVED_SRC_DIR

    static final org.eclipse.emf.ecore.EAttribute SIMPLEMENTATION__DERIVED_SRC_DIR

  The meta object literal for the 'Derived Src Dir' attribute feature.

### SSTATE

    static final org.eclipse.emf.ecore.EClass SSTATE

  The meta object literal for the '`SState`' class.

  See Also:
    `SStateImpl`, `MetaABMPackageImpl.getSState()`

### SSTATE__OPTIONS

    static final org.eclipse.emf.ecore.EReference SSTATE__OPTIONS

  The meta object literal for the 'Options' containment reference list feature.

### SSTATE__DEFAULT_OPTION

    static final org.eclipse.emf.ecore.EReference SSTATE__DEFAULT_OPTION

  The meta object literal for the 'Default Option' reference feature.

### SSTATE_VALUE

    static final org.eclipse.emf.ecore.EClass SSTATE_VALUE

  The meta object literal for the '`SState Value`' class.

  See Also:
    `SStateValueImpl`, `MetaABMPackageImpl.getSStateValue()`

### SSTATE_VALUE__SET

    static final org.eclipse.emf.ecore.EReference SSTATE_VALUE__SET

  The meta object literal for the 'Set' container reference feature.

### SACTABLE

    static final org.eclipse.emf.ecore.EClass SACTABLE

  The meta object literal for the ' `SActable`' class.

  See Also:
    `SActableImpl`, `MetaABMPackageImpl.getSActable()`

### SACTABLE__ROOT_ACTIVITY

    static final org.eclipse.emf.ecore.EReference SACTABLE__ROOT_ACTIVITY

  The meta object literal for the 'Root Activity' containment reference feature.

### SATTRIBUTE_TYPE

    static final org.eclipse.emf.ecore.EEnum SATTRIBUTE_TYPE

  The meta object literal for the '`SAttribute Type`' enum.

  See Also:
    `SAttributeType`, `MetaABMPackageImpl.getSAttributeType()`

### SBORDER_RULE

    static final org.eclipse.emf.ecore.EEnum SBORDER_RULE

  The meta object literal for the '`SBorder Rule`' enum.

  See Also:
    `SBorderRule`, `MetaABMPackageImpl.getSBorderRule()`

### SNEIGHBORHOOD_TYPE

    static final org.eclipse.emf.ecore.EEnum SNEIGHBORHOOD_TYPE

  The meta object literal for the '`SNeighborhood Type`' enum.

  See Also:
    `SNeighborhoodType`, `MetaABMPackageImpl.getSNeighborhoodType()`

### SIMPLEMENTATION_MODE

    static final org.eclipse.emf.ecore.EEnum SIMPLEMENTATION_MODE

  The meta object literal for the '`SImplementation Mode`' enum.

  See Also:
    `SImplementationMode`, `MetaABMPackageImpl.getSImplementationMode()`

### SSHAPE_TYPE

    static final org.eclipse.emf.ecore.EEnum SSHAPE_TYPE

  The meta object literal for the '`SShape Type`' enum.

  See Also:
    `SShapeType`, `MetaABMPackageImpl.getSShapeType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD